Mozilla to remove NPAPI Plugins from ALL Firefox

Following in the footsteps of Google and Microsoft, Mozilla plans to eliminate support for the ancient NPAPI plugins (with the exception of heavily sandboxed version of Flash) in the next year. This would include the 32-bit versions of Firefox. There has been a lot of heated discussions in the past few months in regards to Mozilla removing the support of NPAPI plugins (mainly Silverlight and Java) from the upcoming (Firefox 43?) Windows 64-bit (Win64) version of Firefox.

I agree this needs to be done as NPAPI plugin technology is over 20-years old from the Netscape days and is badly outdated not to mention insecure. The problem is some content providers such as Netflix still use Silverlight for users of Firefox while providing users of Google Chrome and Microsoft Edge the modern HTML5 version of their services. It is hopeful this announcement from Mozilla will be the kick in the pants these content providers need to start doing away with Silverlight.

Mozilla intends to remove support for most NPAPI plugins in Firefox by the end of 2016. Firefox began this process several years ago with manual plugin activation, allowing users to activate plugins only when they were necessary. This decision mirrors actions by other modern browsers, such as Google Chrome and Microsoft Edge, which have already removed support for legacy plugins. Moreover, since new Firefox platforms do not have to support an existing ecosystem of users and plugins, new platforms such as 64-bit Firefox for Windows will launch without plugin support.

via Mozilla Future Releases

Leave a comment

Your email address will not be published.


*